@import "animations/header.css";

.header-wrapper {
  padding-top: 150px;
  padding-bottom: 250px;
  position: relative;
}

.header {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.header-bananas {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 1440px;
  bottom: 0;
}

.header-bananas .banana {
  position: absolute;
}

.header-bananas .banana-1 {
  top: 0;
  left: 50px;
  animation: vertical 2s ease-in-out infinite alternate;
}

.header-bananas .banana-2 {
  top: 365px;
  left: 30px;
  animation: banana-vertical-long 2s ease-out infinite alternate;
}

.header-bananas .banana-3 {
  bottom: 150px;
  left: 614px;
  animation: banana-diagonal-right-top 2s linear infinite alternate;
}

.header-bananas .banana-4 {
  top: 124px;
  right: 240px;
  animation: banana-vertical-long 1.5s ease-in-out infinite alternate;
}

.header-left {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  z-index: 1;
}

.header-left > h1 {
  font-size: 72px;
  line-height: 91px;
  font-weight: 900;
  color: #fff;
  margin-bottom: 36px;
}

.header-left > h1 > span {
  color: var(--yellow-1);
}

/* RIGHT SIDE */

.header-right {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 300px;
}

.header-image {
  background: no-repeat center / contain;
  border-radius: 11px;
  box-shadow: -16px 80px 34px -29px rgba(0, 0, 0, 0.25);
  height: 300px;
  width: 300px;
  right: 0;
  top: 0;
  position: absolute;
  transition: all .7s;
}

.header-image.ape-5_2 {
  background-image: url("../img/apes/ApeGang_5_2.png");
}

.header-image.ape-3897 {
  background-image: url("../img/apes/ApeGang_3897.png");
}

.header-image.ape-3906 {
  background-image: url("../img/apes/ApeGang_3906.png");
}

.header-image.ape-3907 {
  background-image: url("../img/apes/ApeGang_3907.png");
}

.header-image.ape-3 {
  background-image: url("../img/apes/ApeGang_3.png");
}

.header-image.ape-1 {
  background-image: url("../img/apes/ApeGang_1.png");
}

.header-images {
  width: 300px;
  height: 300px;
  z-index: 2;
  position: absolute;
}

/* IMAGES */

.header-images-banana {
  position: absolute;
}

.header-images-block {
  position: absolute;
  border-radius: 7px;
}

.header-images-block.block-1 {
  width: 34px;
  height: 34px;
  top: -85px;
  left: -100px;
  background: #E3C8A1;
  filter: blur(7px);
  -webkit-filter: blur(7px);
  opacity: 0.46;
}

.header-images-block.block-2 {
  width: 40px;
  height: 40px;
  top: -76px;
  left: 60px;
  background: #F19C7B;
  filter: blur(4px);
  -webkit-filter: blur(4px);
}

.header-images-block.block-3 {
  width: 73px;
  height: 73px;
  top: -16px;
  left: -36px;
  background: var(--yellow-gradient-1to2);
  box-shadow: -35px 58px 34px -11px rgba(0, 0, 0, 0.24);
  animation: yellow-block 1.5s ease-in-out infinite alternate
}

.header-images-block.block-4 {
  width: 40px;
  height: 40px;
  top: 156px;
  left: -20px;
  background: #FDFDFD;
  animation: white-block 2s ease-in-out infinite alternate
}

.header-images-block.block-5 {
  width: 73px;
  height: 73px;
  top: 200px;
  right: -60px;
  background: #E3C8A1;
  box-shadow: -35px 58px 34px -11px rgba(0, 0, 0, 0.24);
  animation: flesh-block 2s ease-in-out infinite alternate
}

.header-images-block.block-6 {
  width: 40px;
  height: 40px;
  bottom: -70px;
  right: 60px;
  background: var(--yellow-gradient-1to2);
  filter: blur(4px);
  -webkit-filter: blur(4px);
}

.header-images-block.block-7 {
  width: 26px;
  height: 26px;
  bottom: -56px;
  right: -87px;
  background: #F19C7B;
  opacity: 0.46;
  filter: blur(7px);
}

.header-images-banana.banana-bl {
  bottom: -50%;
  left: -50%;
  animation: vertical 1.5s ease-in-out infinite alternate
}

.header-images-banana.banana-tr {
  z-index: -2;
  top: -50%;
  right: -50%;
  animation: banana-horizontal 2.5s ease-in-out infinite alternate
}

.header-image.order-1 {
  opacity: 0;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  right: 100%;
  width: 110px;
  height: 110px;
  transform: translate(-350px, -50%);
}

.header-image.order-2 {
  opacity: 0.1;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  width: 110px;
  height: 110px;
  transform: translate(-290px, -50%);
  right: 100%;
  left: -30%;
}

.header-image.order-3 {
  opacity: 0.19;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  right: 100%;
  left: -60%;
  width: 195px;
  height: 195px;
  transform: translate(-47px, -50%);
}

.header-image.order-4 {
  right: 0;
  top: 0;
  left: 0;
  bottom: 0;
  opacity: 1;
  transform: translate(0, 0);
  z-index: -1;
}

.header-image.order-5 {
  opacity: 0.19;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  right: 0;
  left: 100%;
  width: 195px;
  height: 195px;
  transform: translate(47px, -50%);
}

.header-image.order-6 {
  opacity: 0.1;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  right: 0;
  left: 100%;
  width: 110px;
  height: 110px;
  transform: translate(290px, -50%);
}

.header-image.order-7 {
  opacity: 0;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  left: 100%;
  width: 110px;
  height: 110px;
  transform: translate(350px, -50%);
}

.header-image:not(.order-4) {
  top: 50%;
  box-shadow: none;
}

/* MEDIA */

@media (max-width: 1023px) {
  .header-wrapper {
    padding-top: 110px;
    padding-bottom: 104px;
  }

  .header {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    grid-row-gap: 114px;
  }

  .header-left .yellow-btn {
    padding-top: 18px;
    padding-bottom: 18px;
  }

  .header-right {
    order: 1
  }

  .header-left {
    order: 2;
    text-align: center;
    align-items: center;
  }

  .header-left > h1 {
    font-size: 48px;
    line-height: 61px;
    margin-bottom: 72px;
  }

  .header-image {
    width: 172px;
    height: 172px;
  }

  .header-images {
    width: 172px;
    height: 172px;
  }

  /* IMAGES */
  .header-image.order-1 {
    width: 30px;
    height: 30px;
    transform: translate(-350px, -50%);
  }

  .header-image.order-2 {
    left: -20%;
    width: 60px;
    height: 60px;
    transform: translate(-200px, -50%);
  }

  .header-image.order-3 {
    left: -70%;
    width: 130px;
    height: 130px;
    transform: translate(-30px, -50%);
    transition: all 1s;
  }

  .header-image.order-5 {
    width: 130px;
    height: 130px;
    transform: translate(30px, -50%);
  }

  .header-image.order-6 {
    width: 60px;
    height: 60px;
    transform: translate(200px, -50%);
  }

  .header-image.order-7 {
    width: 30px;
    height: 30px;
    transform: translate(350px, -50%);
  }

  .header-images-banana.banana-tr {
    width: 150px;
  }

  .header-images-banana.banana-bl {
    width: 170px;
  }

  .header-images-block.block-1 {
    width: 19px;
    height: 19px;
    top: -48px;
    left: -55px;
  }
  .header-images-block.block-2 {
    width: 23px;
    height: 23px;
    top: -43px;
    left: 30px;
  }
  .header-images-block.block-3 {
    width: 42px;
    height: 42px;
    top: -20px;
    left: -21px;
  }
  .header-images-block.block-4 {
    width: 23px;
    height: 23px;
    top: 78px;
    left: -11px;
  }
  .header-images-block.block-5 {
    width: 42px;
    height: 42px;
    top: 120px;
    right: -32px;
  }
  .header-images-block.block-6 {
    width: 23px;
    height: 23px;
    bottom: -40px;
    right: 30px;
  }
  .header-images-block.block-7 {
    width: 15px;
    height: 15px;
    bottom: -40px;
    right: -50px;
  }
}


